Package jakarta.websocket

## Interface Encoder.TextStream<T>

All Superinterfaces:
  `Encoder`

Enclosing interface:
  Encoder

    public static interface Encoder.TextStream<T>
    extends Encoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface jakarta.websocket.Encoder

`Encoder.Binary<T>, Encoder.BinaryStream<T>, Encoder.Text<T>, Encoder.TextStream<T>`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `encode​(T object, java.io.Writer writer)`

### Methods inherited from interface jakarta.websocket.Encoder

`destroy, init`

### Method Detail

#### encode

    void encode​(T object,
                java.io.Writer writer)
         throws EncodeException,
                java.io.IOException

Throws:
  `EncodeException`
  `java.io.IOException`